CRYPTO_HASH_INIT(9)

NAME
crypto_hash_init - (re)initialize message digest handle

SYNOPSIS

int crypto_hash_init(struct hash_desc * desc);

ARGUMENTS

desc
    cipher request handle that to be filled by caller -- desc.tfm is filled with the hash cipher handle; desc.flags is filled with either CRYPTO_TFM_REQ_MAY_SLEEP or 0.

DESCRIPTION

The call (re-)initializes the message digest referenced by the hash cipher request handle. Any potentially existing state created by previous operations is discarded.

RETURN

0 if the message digest initialization was successful; < 0 if an error occurred

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT